

import QtQuick 2.10
import com.test.main.simulation 1.0


QtObject {
    property var settings : IviSimulator.findData(IviSimulator.simulationData, "MainService")
    property bool defaultInitialized: false
    property LoggingCategory qLcMainService: LoggingCategory {
        name: "com.test.main.simulation.mainservicebackend"
    }
    property var backend : MainServiceBackend {

        function initialize() {
            console.log(qLcMainService, "INITIALIZE")
            if (!defaultInitialized) {
                IviSimulator.initializeDefault(settings, backend)
                defaultInitialized = true
            }
            Base.initialize()
        }


        function setAvailable(available) {
            if (IviSimulator.checkSettings(settings["available"], available)) {
                console.log(qLcMainService, "SIMULATION available changed to: " + available);
                backend.available = available
            } else {
                console.error(qLcMainService, "SIMULATION changing available is not possible: provided: " + available + " constraint: " + IviSimulator.constraint(settings["available"]));
            }
        }
    }
}